
Redmine - Feature #7139

Highlight changes inside diff lines

2010-12-20 17:34 - Ве Fio

Status: Closed Start date: 2010-12-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed   

Description

As you can see in my image here, it shows the removed and added line, but it also shows what was deleted and added as well.

 diff_view.png 

Related issues:

Has duplicate Redmine - Feature #3988: Show diff in revision page Reopened 2009-10-07

Associated revisions

Revision 5094 - 2011-03-11 21:23 - Jean-Philippe Lang

Highlight changes inside diff lines (#7139).

History

#1 - 2010-12-20 18:50 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2011-03-11 21:23 - Jean-Philippe Lang

- Subject changed from Show specificly what changed on the deleted/added line to Highlight changes inside diff lines

- Status changed from New to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

Feature added in r5094.

#3 - 2011-03-24 11:32 - Billy T

- Status changed from Closed to Reopened

#4 - 2011-03-24 11:33 - Billy T

"View differences" does not work with trunk 1.1.2.devel.5212.

http://www.redmine.org/boards/2/topics/22823

#5 - 2011-03-24 12:02 - Etienne Massip

- Status changed from Reopened to Closed

Your _diff.rhtml is not up to date to r5212, I can't find any <% table_file.keys.sort.each do |key, line| %> line in file history.
